incubator-cassandra-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From aaron morton <aa...@thelastpickle.com>
Subject Re: Problem compiling
Date Sun, 05 Jun 2011 03:33:18 GMT
It's a maven task that is failing, check which version you have (no idea if it's automatically
packaged with ant). Works for me with these... 

$ ant -version
Apache Ant(TM) version 1.8.2 compiled on February 28 2011

$ /usr/bin/mvn -V
Apache Maven 3.0.2 (r1056850; 2011-01-09 13:58:10+1300)

Hope that helps. 

-----------------
Aaron Morton
Freelance Cassandra Developer
@aaronmorton
http://www.thelastpickle.com

On 4 Jun 2011, at 14:31, Fabio Souto wrote:

> Seems like it's not the problem:
> 
> [root@nosql-dev cassandra]# ant -version
> Apache Ant(TM) version 1.8.2 compiled on December 20 2010
> 
> On 04/06/2011, at 04:17, Jonathan Ellis wrote:
> 
>> Possibly you have an old version of ant?
>> 
>> On Fri, Jun 3, 2011 at 9:08 PM, Fabio Souto <fsoutomoure@gmail.com> wrote:
>>> Hi,
>>> 
>>> I'm upgrading to 0.8 and I need a cluster with pig support, so I downloaded cassandra
0.8-src and when I try to compile I have the following error:
>>> 
>>> [root@hostname cassandra]# ant
>>> Buildfile: /usr/cassandra/build.xml
>>> 
>>> maven-ant-tasks-localrepo:
>>> 
>>> maven-ant-tasks-download:
>>> 
>>> maven-ant-tasks-init:
>>> 
>>> scm-svn-info:
>>> 
>>> scm-info:
>>> 
>>> maven-declare-dependencies:
>>> 
>>> BUILD FAILED
>>> /usr/cassandra/build.xml:351: artifact:pom doesn't support the "groupId" attribute
>>> 
>>> Any idea on how to fix this?
>>> 
>>> 
>> 
>> 
>> 
>> -- 
>> Jonathan Ellis
>> Project Chair, Apache Cassandra
>> co-founder of DataStax, the source for professional Cassandra support
>> http://www.datastax.com
> 


Mime
View raw message